<!--
  @description: 报表设置组件
  @Modifier：肖文龙
  @routerPath:
  @date：  2020/12/23
-->
<template>
  <div style="padding:0 10px;">
    <iframe class="iframe" :src="url" frameborder="0" />
  </div>
</template>
<script>
// web页面全局配置文件
import website from '@/assets/js/config/website.js'
export default {
  name: 'ReportConfigCompAdd',
  props: {
    // 报表编辑参数
    reportData: {
      type: Object,
      default: function() {
        return {
          name: '', // 报表文件名称
          reportType: '' // 报表当前状态 preview 预览 designer 设计
        }
      }
    }
  },
  data() {
    return {
      url: ''// 报表-设计器地址
    }
  },
  created() {
    this.initReport()// 初始化
  },
  methods: {
    // 初始化
    initReport() {
      const data = this.reportData
      this.url = ''
      if (data.reportType === 'preview') {
        // 预览报表
        this.url = `${website.reportUrl}/preview${data.name ? '?_u=blade-' + data.name : ''}`
      } else if (data.reportType === 'designer') {
        // 设置报表
        this.url = `${website.reportUrl}/designer${data.name ? '?_u=blade-' + data.name : ''}`
      }
      console.log(this.url)
    }

  }
}
</script>
<style lang="less" scoped>
.iframe{
  width: 100%;
  height: calc(100vh - 56px - 40px - 6px);
}
</style>
